
from .download import download_zip
from pathlib import Path
down_path = Path(__file__).parent
xz_url = "addons_file"+"/"+down_path.name+"/"
download_zip(xz_url + "assets.zip",down_path)

bl_info = {
    "name": "Render Raw",
    "author": "Jonathan Lampel",
    "version": (1, 0, 2),
    "blender": (4, 1, 0),
    "location": "Properties > Render > Color Management",
    "description": "More free stuff for Blender: https://t.me/BlenderUniverse",
    "wiki_url": "",
    "category": "Render",
    "doc_url": "https://blendermarket.com/products/render-raw",
    "tracker_url": "https://t.me/BlenderUniverse",
}
__verison__ = bl_info['version']
addon_name = __package__.split(".")[-1]

import bpy, sys

from .operators import op_presets, op_refresh, op_report, op_scene_settings

from .interface import adjustment_panels
from . import settings, preferences

files = [preferences, op_report, op_presets, settings, adjustment_panels, op_refresh, op_scene_settings]

def cleanse_modules():
    # Based on https://devtalk.blender.org/t/plugin-hot-reload-by-cleaning-sys-modules/20040
    for module_name in sorted(sys.modules.keys()):
        if module_name.startswith(addon_name):
            del sys.modules[module_name]

def register():
    for f in files:
        f.register()

def unregister():
    for f in files:
        f.unregister()
    cleanse_modules()

if __name__ == "__main__":
    register()