'''
Copyright (C) 2024 Orange Turbine
https://orangeturbine.com
orangeturbine@cgcookie.com

This file is part of the Render Raw add-on, created by Jonathan Lampel for Orange Turbine.

All code distributed with this add-on is open source as described below.

Render Raw is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 3
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, see <https://www.gnu.org/licenses/>.
'''

import bpy

def enable_viewport_compositing(self, context, viewports):
    if viewports == 'ALL':
        for workspace in bpy.data.workspaces:
            for screen in workspace.screens:
                for area in screen.areas:
                    if area.type == 'VIEW_3D':
                        area.spaces[0].shading.use_compositor = 'ALWAYS'
    elif viewports == 'SCREEN':
        for area in context.screen.areas:
            if area.type == 'VIEW_3D':
                area.spaces[0].shading.use_compositor = 'ALWAYS'
    elif context.area.type == 'VIEW_3D':
        area.spaces[0].shading.use_compositor = 'ALWAYS'
    else:
        self.warn("No viewports were updated")